fuel-pump-inventories-pumps-get-one¶
Source¶
Repository:
jef-systems/jef-fuel-pump-inventories-backendSource Run ID:
24966853525Source SHA:
1159f01c85f4a6aefdd03618419a726c3fc9edbbModule:
fuel-pump-inventoriesDocumentation Scope:
getLambda:
jef-fuel-pump-inventories-get-7
Endpoint¶
API Name:
jef-fuel-pump-inventoriesAction Name:
getMethod:
GETScope Label:
GETResource Path:
/fuel-pump-inventories-pumps-get-oneComplete Endpoint:
https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-pumps-get-oneLambda ARN:
arn:aws:lambda:ap-southeast-1:246715082475:function:jef-fuel-pump-inventories-get-7curl payload mode:
query_string
API Gateway Description¶
Function: jef-fuel-pump-inventories-get-7
API Name: jef-fuel-pump-inventories
Action: get
Method: GET
Resource Path: /fuel-pump-inventories-pumps-get-one
Table:
- table: jef-fuel-pump-inventories-pumps
Payload Schema:
- pk: pump_id
Payload Example:
- pk: pump-001
Response Schema:
- exists: boolean
- message: string
- item: {"entity_number":"string","pump_id":"string","pump_label":"string","product":"string","price_per_liter":"number","display_order":"number","is_active":"boolean","created_at":"string","updated_at":"string"}
Request Payload¶
{
"pk": "pump_id"
}
Response¶
{
"exists": "boolean",
"message": "string",
"item": "{\"entity_number\":\"string\",\"pump_id\":\"string\",\"pump_label\":\"string\",\"product\":\"string\",\"price_per_liter\":\"number\",\"display_order\":\"number\",\"is_active\":\"boolean\",\"created_at\":\"string\",\"updated_at\":\"string\"}"
}
CMD curl¶
curl "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-pumps-get-one?pk=pump-001"
PowerShell curl¶
curl.exe "https://zgmzv02c7f.execute-api.ap-southeast-1.amazonaws.com/prod/fuel-pump-inventories-pumps-get-one?pk=pump-001"